﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" class="concept">
    <head><title>Overview</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Overview<br /></h1>
        <p>Saviynt delivers the next generation Identity Governance and Administration (IGA) solution that brings together identity and security management in a single pane. An IGA platform that is risk based and intelligent, driven by data analytics to manage business processes more effectively and efficiently. No matter where your critical assets reside on-premises or cloud, Saviynt IGA 2.0 enables organizations to effectively manage who has access to what, why do they need that access and what are they doing with that access. <br />Designed on the principles of Microservices and Machine learning, Saviynt cloud-architected IGA 2.0 solution is easy to procure/setup, manage and scales to millions of internal and external identities. Its interfaces are empowered by rich intuitive UI and sleek mobile applications for business users IGA functions like self-service, access request, approval and access certification.</p>
        <h2 id="Overview-IGA2.0Capabilities">IGA 2.0 Capabilities</h2>
        <p>Saviynt IGA 2.0 offers a modular and scalable IGA platform for securing critical assets across Cloud, Big Data, Applications &amp; Infrastructure. Next generation Access Governance and Intelligence features are explained as follows:<br /><strong>Identity Lifecycle Management</strong><br />Saviynt supports end to end lifecycle management of users and access as one of the core capabilities. This lifecycle management begins with setting up an identity warehouse and bringing in user information from one or more authoritative sources such as HRMS, Contractor Management, etc. Alternately, Saviynt can be configured as authoritative source for users such as temporary or contingent workforce, external users, and so on using self-service or delegated user registration.<br />Saviynt also supports 'user update policies' that further automate user life-cycle management as they change jobs, locations, role, etc., for e.g. when users move to another department/BU i.e. transfer, Saviynt can detect the change from authoritative sources and initiate access review / re-evaluate access rules or when users are terminated, account/access clean-up processes are initiated in a timely manner. Managers also get the option to disable all user accounts with a click of a button.</p>
        <h2 id="Overview-AccessCleanupandEnrichment">Access Cleanup and Enrichment</h2>
        <p>Saviynt IGA 2.0 provides intuitive interfaces for seamless cleanup and enrichment of information aggregated in Identity, Entitlement and Security Warehouse.</p>
        <ul>
            <li>Proposed orphan account ownership – One can define correlation rules, based on which, appropriate accounts get linked to identities and orphan as well as service accounts can be clearly isolated.</li>
            <li>Entitlement / application owner certification – Based on usage analytics / recommendations executed on entitlement warehouse, right entitlement ownership can be identified. Saviynt IGA then generates certification event for entitlement owners in their inbox. They could accept the ownership and thereafter review/update the entitlement glossary and other metadata. They could even reject the ownership with justification comments or nominate other relevant users as the rightful owners. There is also an option available to decommission the entitlement from the access catalog.</li>
            <li>Define glossary for entitlements, meta data tags, lifecycle processes – In addition to Entitlement owner certification, the entitlement repository could be navigated by privileged users to enrich glossary and metadata for one or more entitlements.</li>
        </ul>
        <h2 id="Overview-RoleDiscoveryandEngineering">Role Discovery and Engineering</h2>
        <p>Without a substantial Role Engineering framework, organizations are unable to increase efficiency, reduce costs and meet compliance requirements. Organizations need to strike the right balance between Rule-Based Access Contol (RBAC) and Attribute-Based Access Control (ABAC) for provisioning access to applications. Saviynt's solution focuses on this need as it supports enterprise and application level roles, utilizing a hybrid approach in which a user's HR attributes as well as usage information are factored in while designing roles. It further extends traditional RBAC model with rule mining to create rules for dynamic assignment based on attributes. <br />The solution combines top-down and bottom-up techniques and has the unique ability to define roles according to business functions that also ensures effective SoD validation. It allows identification of permissions that fall outside the role framework and apply controls for exceptional access. The solution also offers techniques to ensure roles are accurate incorporating usage log analysis, ability to perform role impact analysis, maintain history and versioning along with a fully integrated workbench to formalize and manage roles. Some of the salient features include:</p>
        <ul>
            <li>Design &amp; provision fine-grained access to managed apps</li>
            <li>Statistical algorithms for role / rule mining</li>
            <li>Role impact simulation and assessment</li>
            <li>Attribute based Access Rules (ABAC) combined with Roles to create highly flexible / event driven access management</li>
            <li>Usage analytics to take intelligent decisions for role mining</li>
            <li>Identify potential SOD violations and design impact to approvers</li>
            <li>Comprehensive role life-cycle management workflow</li>
            <li>Role history and versioning</li>
            <li>Role comparison and rollback ability</li>
        </ul>
        <h2 id="Overview-Fulfillment">Fulfillment</h2>
        <p>To reflect identity lifecycle changes initiated by Saviynt IGA 2.0 in downstream target applications, comprehensive support is provided for Fulfilment strategies – Direct (leveraging IGA connectors (todo – provide link to IGA connectors section)) as well as Indirect (using native support for service tickets assignment and relevant integration with IT service and support management (ITSSM) tools.<br />Direct or indirect fulfilment is triggered in the following scenarios, which have been explained in succeeding sections of this whitepaper.</p>
        <ul>
            <li>Automated access provisioning, as birthright or due to various events in identity lifecycle (promotion, transfer, hiring and so on)</li>
            <li>Access request processing post completion of approval workflow.</li>
            <li>Deprovisioning actions triggered by Closed loop remediation during access certification</li>
        </ul>
        <h2 id="Overview-SoDAnalysisandManagement">SoD Analysis and Management</h2>
        <p>Saviynt platform enables internal security teams and auditors to define SOD rules, determine SOD conflicts, monitor critical transactions, remediate violations using an intuitive workbench and use mitigating controls library to configure, accept and manage risks. With its ability to understand hierarchical entitlements within applications, Saviynt can perform cross application SOD analysis for both coarse and fine-grained entitlements. Saviynt's SOD remediation recommendation engine not only performs user to role analysis but also role to entitlement analysis to remediate any roles with inherent SODs and accelerate the remediation process. In addition, Saviynt integrates usage analytics to identify actual violations that have been acted upon by users vs. potential SOD violations to prioritize remediation measures appropriately. Some of the salient features include:</p>
        <ul>
            <li>200+ SOD risk rules embedded within Identity Governance and Administration (with additional 'audit-tested' predefined rulesets for enterprise applications such as SAP, Oracle EBS, PeopleSoft, SAP HANA, Guidewire and Epic, as well as for Cloud applications such as Salesforce, Workday etc)</li>
            <li>Cross application SOD evaluation</li>
            <li>Investigation workbench including actual vs. potential classification</li>
            <li>Detective and preventive control enablers</li>
            <li>Remediation impact analysis and automated remediation</li>
            <li>Risk trend analysis</li>
            <li>Configurable alerts to control owner(s)</li>
        </ul>
        <h2 id="Overview-AccessRequestandApprovalWorkflows">Access Request and Approval Workflows</h2>
        <p>Saviynt offers an intuitive user experience that is seamless across Web and Mobile platforms, giving end users complete flexibility in managing their requests, checking status, setting up delegation of authority, etc. even when they're on-the-go. Users get an intuitive shopping cart feel while requesting access replete with multi-level search and filtering capabilities across extensive resource catalog. Saviynt also provides completely configurable access recommendations based off inlier access analytics (dynamic role) and similar access requests generated by peers as a mechanism to guide users towards common access models.</p>
        <ul>
            <li>Ability to create new access / account, modify existing account or remove access / account in a single request</li>
            <li>Access recommendations during request creation / approval and certification decisions empowered via inlier peer access analytics, peer requests, business policies / attributes</li>
            <li>Support for preventive SOD checks (including enterprise-level SOD check, granular application SOD evaluation and cross-apps SOD evaluation) during submission of access request with configurable risk-based behavior (e.g. multiple approvals needed when SOD violations risk varies from medium to critical, mandatory business justification, etc.)</li>
            <li>Single pane to request access to unstructured data, infrastructure workloads and fine-grained application entitlements across Enterprise and Cloud</li>
            <li>Customizable landing page and panes / links adjusted for user's Saviynt role</li>
            <li>Supports request management for logical and physical assets including badge management</li>
            <li>Configurable labels throughout entire UI</li>
            <li>Supports multiple notifications / SLAs</li>
            <li>Support for n-level request escalation and SLA enforcement</li>
            <li>Extensible access catalog with full search across description, customizable tags and meta data</li>
            <li>Delegated administration with support for limited duration</li>
            <li>Support for job function based filtering of access catalog</li>
            <li>Support for model after for request creation</li>
            <li>Full search functionality across entire access catalog including description, tags, metadata, etc.</li>
            <li>Bulk requests, removals and updates in a single request for multiple users</li>
            <li>Approve / deny requests via email</li>
            <li>REST APIs to extend access request system and integrate with HRMS, upstream and downstream systems including ticket management, portals, and so on.</li>
        </ul>
        <h2 id="Overview-AccessCertification">Access Certification</h2>
        <p>Saviynt offers intuitive Access Attestation or Certification functionality including closed-loop remediation, integration with usage analytics, dynamic risk / access outlier profiling, and end-to-end auditing with support to various types of certifications listed below.</p>
        <ul>
            <li>User Access Certification</li>
            <li>High Privileged User or Critical Access Certification</li>
            <li>Resource Owner Certification</li>
            <li>Role/Group Membership Certification (identities associated with role or group)</li>
            <li>Role/Group Content Certification (entitlements associated in a role or group)</li>
            <li>Micro Certification of outlier access and even activity, that focuses attention towards risky access calculated dynamically by our usage and peer analytics.</li>
        </ul>
        <p>Each of the above certification types allows administrators to select a specific set of users, organizations, resources (applications, target systems, entitlements), roles before launching the campaign. Administrators can further categorize to include only those entitlements directly or explicitly assigned to user instead of indirect assignment via role or policy, or include only outlier entitlements vis-à-vis peer groups.</p>
        <h2 id="Overview-SelfRegistration">Self Registration</h2>
        <p>External users like contractors etc who are not automatically reconciled through user data import and need to be selectively onboarded with scrutinization and approval. Saviynt supports Unauthenticated Self Service Console using which users who do not have login credentials can register themselves with the IGA realm. Even a privileged employee who may be a contractor manager can register other users. The console also provides intuitive options for tracking the registration.</p>
        <h2 id="Overview-DelegatedAdministration">Delegated Administration</h2>
        <p>Enterprises can use Saviynt solution for empowering enterprises to delegate administration for various critical activities controlled by the IGA deployment:</p>
        <ul>
            <li>Managing Users</li>
            <li>Managing Roles</li>
            <li>Managing Organization</li>
            <li>Managing Roles for authorization within Saviynt console, i.e. known as SAV roles.</li>
            <li>Managing Password Policies</li>
        </ul>
        <h2 id="Overview-PrivilegeAccessManagement(PAM)">Privilege Access Management (PAM)</h2>
        <p>As an organization's IT system gets bigger and more complex, the number of privileged users increases. Some of these privileged users can override the existing security protocols, thereby making the system more vulnerable to fraud. In such cases, Privileged Access Management is required as it keeps the organization safe from accidental or deliberate misuse of privileged access.<br />Shared privilege accounts tend to violate the principle of least privilege and segregation of duties. Moreover, the risk increases if the said privilege account is a shared account, as the password can be "leaky" due to the fact that it has more than one owner. As a result, a shared account provides limited or no accountability. <br />Saviynt has the capability to grant privilege access based on two different models- role based and shared account based. It helps administrators identify privilege accounts (shared, operational or service) across various instances and manage ownership for them. In addition, based on the business rules of the organization, the solution can grant privilege accesses to the roles that require them. Our solution enforces the "least privilege" principle, thereby providing transparency in granting privilege access. Saviynt privileged access management capabilities include - defining privilege accesses, requesting them for the required time period/session, monitoring the events during the period, and certifying them. It grants privileged access by assigning emergency access roles to users, thereby ensuring better traceability of user activities performed during the time-period. Some of the key, out-of-the-box features of the solution in the context of privileged access management are:</p>
        <ul>
            <li>Ability to initiate requests, manage approvals and assign emergency access</li>
            <li>Easy-to-use and configure workflow for emergency access approvals</li>
            <li>Ability to track the transactions accessed, documents altered and changes made by the user with emergency access, along with timestamps on the activities.</li>
        </ul>
        <h2 id="Overview-InteractionbetweenSaviyntUserswithSaviyntSecurityManager">Interaction between Saviynt Users with Identity Governance and Administration</h2>
        <p>Identity Governance and Administration (IGA) application can be accessed by providing the application URL in web browser and logging-in with appropriate credentials assigned. <br />For deployment scenarios where an Identity Provider (IdP - Okta, OneLogin, and so on) is used for all applications in the enterprise, you need to log on to the respective IdP application such as Okta, OneLogin, and so on. The IdP needs to be integrated with Identity Governance and Administration application using SAML SSO. After successful integration, the usernames and passwords available in Saviynt are integrated with IdP. Once, you log on to the IdP with respective credentials, authentication is done in Saviynt and you will be directly traversed to the Saviynt application logon page.<br />Security Assertion Markup Language (SAML) is an XML standard that allows secure web domains to exchange user authentication and authorization data. Using SAML, a service provider can contact a separate identity provider to authenticate users who are trying to access secure content. <br />Saviynt offers a SAML-based Single Sign-On (SSO) service that provides enterprises with full control of authentication and authorization of user accounts that can access ARS application. Using the SAML model, Saviynt acts as the service provider. There are a number of existing open source and commercial identity provider solutions that can help you implement SSO with Saviynt ARS. <br />Saviynt ARS SSO service is based on the SAML v2.0 specifications. SAML v2.0 is supported by several widely known vendors.</p>
        <h3 id="Overview-VariousUserPersonasandUsage">Various User Personas and Usage</h3>
        <p>Identity Governance and Administration is used by various types of end-users ranging from Technical Users to Business Users. The Technical User Personas include Super Administrator, Developer, Identity Administrator, Configuration Administrator, and Application Onwers. Business Users include the enterprise employees, employee's managers, Employee Senior Leaders and External users.<br />Saviynt Administrator uses Identity Governance and Administration to:</p>
        <ul>
            <li>Create and define SAV_Role and assign users to respective SAV_Role as per the responsibilities and work area of the user.</li>
        </ul>
        <p>Developer, Identity Administrator, Configuration Administrator, and Application Owners use Identity Governance and Administration to:</p>
        <ul>
            <li>Define and create Identity Warehouse which is the foundation and base for doing Identity and Access Governance (IAG).</li>
            <li>To elaborate create: security system, endpoint, connection, import users, accounts, entitlements, and create organization.</li>
            <li>Application Onboarding wizard is an automated step-by-step simple wizard using which you can setup your Identity Warehouse.</li>
            <li>Perform the generic administrative functions such as configuring: logger configuration, Email templates, Admin Functions, External Setup, OAuth, Attestation, Questionnaire, etc.</li>
            <li>Setup Workflows and create provisioning rules.</li>
            <li>Define various types of Jobs, for import, provisioning, attestation, analytics, SaviyntConnect, SoD, SAP, and so on.</li>
            <li>Configure Identity and Access Governance through key modules such as: Analytics, Attestation, SoD, ARS, and Roles.</li>
        </ul>
    </body>
</html>